PUT /data/shots/{shot_id}

Update a shot by id. Only mutable fields are allowed. Send a JSON body with the fields to change.

Path parameters

  • shot_id Required
application/json

Body Required

  • name string
  • description string
  • nb_frames integer
  • data object

Responses

  • 200 application/json

    Shot updated

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • project_id string(uuid)
    • parent_id string(uuid)
    • nb_frames integer
    • data object
  • 400

    Invalid body or unsupported fields

PUT /data/shots/{shot_id}
curl -X PUT "http://api.example.com/data/shots/a24a6ea4-ce75-4665-a070-57453082c25" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "SH010 new name",
  "description": "Update description for the shot",
  "nb_frames": 24,
  "data": {
    "camera": "camA",
    "cut_in": 1001
  }
}'
import requests

url = "http://api.example.com/data/shots/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "name": "SH010 new name",
    "description": "Update description for the shot",
    "nb_frames": 24,
    "data": {
        "camera": "camA",
        "cut_in": 1001
    }
}

response = requests.put(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request PUT 'http://api.example.com/data/shots/a24a6ea4-ce75-4665-a070-57453082c25' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"name":"SH010 new name","description":"Update description for the shot","nb_frames":24,"data":{"camera":"camA","cut_in":1001}}'
Request examples
{
  "name": "SH010 new name",
  "description": "Update description for the shot",
  "nb_frames": 24,
  "data": {
    "camera": "camA",
    "cut_in": 1001
  }
}
Response examples (200)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "name": "SH010",
  "project_id": "b24a6ea4-ce75-4665-a070-57453082c25",
  "parent_id": "c24a6ea4-ce75-4665-a070-57453082c25",
  "nb_frames": 120,
  "data": {
    "camera": "camA",
    "cut_in": 1001
  }
}